Help topics

Introducing RulesMaster Pro 3 Server > Page Name

Introducing RulesMaster Pro 4 LAN Server

Contents

Installation and setup
System administration
Appendix

Welcome to RulesMaster Pro 4 LAN Server Help. This document covers installation and setup of RulesMaster Pro 4 LAN Server and related files.

You won't be able to use the program until it is properly configured. This includes entering your Server registration key properly, and setting a location for storage of student records. See Installation and setup.


Contacting Ross Learning Media

Introducing RulesMaster Pro 4 LAN Server > How to contact Ross Learning Media

How to contact Ross Learning Media

Product support or other questions can be emailed to us at support@rulesmaster.com. Telephone support is available by request. If you need telephone support, or just want to talk to a live person, please contact us at the above address for the phone number and hours of availability. We recommend e-mail for most contacts; we monitor it at least daily. Email is usually answered as soon as it comes in. Our postal address is:

Ross Learning Media
23 Stevens Street
Yeronga
Queensland 4104
Australia

Ross Learning Media is a division of Ross Jensen Associates Pty Ltd: ABN 95 339 362 820.

For your information, Queensland time is GMT plus 10 hours, and there is no daylight saving.

If you have ideas, suggestions, comments, criticisms, or questions, we would love to hear from you about our products!


Installation and setup

Help Topics > Installation and setup

Installation and setup

The complete RulesMaster Pro installation is contained on a LAN server, and requires about 100MB of free hard disk space. When properly configured, multiple clients on your network can use the program concurrently. The number of concurrent users is controlled by your licence via a registration key which you must enter before the program will operate.

Access to the program is by way of shortcuts which you must place on every client computer which needs access to the program. Users must have read access to the the server program directory (see Step 1 below), and read write access to a student records location (Step 3 below).

RulesMaster Pro 4 LAN Server should be installed on a Windows operating system (SP6 is required for NT systems), with a network which uses UNC path names. It requires at least a Pentium 1.6GB or better, with at least the amount of RAM recommended for the operating system (and most installations will use a considerably higher specification depending on the number of concurrent users expected). Internet Explorer 6 or better is required for the Help files to work.

Client computers should have a similar specification, plus facilities for sound, and a colour display with 32 bit colour. The minimum screen resolution is 1024 by 768 pixels.

We recommend that you use the following steps to install and setup RulesMaster Pro 4 LAN Server.

Step 1: Server Installation
Start up the network server and log on with the same user name as you would normally. Usually you will be logged on as Administrator. Launch the RulesMaster Pro 4 LAN Server setup program that you have been supplied.

Follow the onscreen instructions to install the program.

Permissions: All users must have permission to read the files in the program directory. You must create the appropriate Permissions suitable for your network. In simple networks you can right click on the Program Directory (i.e. C:\Program Files\RulesMaster|Pro4_LAN) and select "Sharing and Security..." and check "Share this folder on the network". Note that the Setup Utility (which you may choose to use in Steps 3 and 4 below) needs both read AND write permission, so you may choose to set this now.

The installer sets up a number of shortcuts in your Start>Programs menu:

RM Enter Server Key: This allows you to enter your server registration key.
RM Server Startup: This starts an instance of the program on the server in a background mode. Users are denied access if this instance is not running.
RM Server Shutdown: This allows you to close the program instance commenced with the startup command.

Most installations will want the RM Server Startup command to be part of the Server startup procedure. You will see that the RM Server Startup shortcut is also copied to Start>Programs>StartUp for this purpose, though other techniques may better suit your environment.

Step 2: Enter your Registration Key for RulesMaster Pro 4 LAN Server
Choose the shortcut RM Enter Server Key. You will be prompted to enter a name and registration key exactly as shown on the documentation accompanying the CD package. See Registration keys and your licence.

Step 3: Configure rmp4_lan.ini and the records location
RulesMaster Pro 4 LAN Server creates and maintains records for all students. Record files are stored in a folder named 'RulesMaster\Pro4_LAN\Records'. The installer creates default empty directories in the root of the hard drive on your server. However you can choose any location on your network. In any case you must ensure that the location you select has appropriate permissions to allow read and write access for all client computers.

RulesMaster Pro 4 LAN Server reads the "rmp4_lan.ini" to identify the location of the records file. This file is in the RulesMaster program directory, usually Program Files\RulesMaster\Pro4_LAN. The file may be edited manually, or with the RulesMaster Setup Utility. Other configuration options may also be set in this file and now is the time to do so. See System administration > Configure rmp4_lan.ini and the records location.

Step 4: Install shortcuts on client computers
Most users will want to install shortcuts on client machines so that users can easily access the program. See System administration > Creating a shortcut on a client.

Step 5: Start the Server program instance
Choose Start>Programs>...>RM Server Startup to start the background instance of the program. This will allow clients to access the program. The Setup program places an additional copy of this shortcut in Programs>StartUp for your convenience.

This window appears when you choose RM Server Startup. It shows:

  • Client computer access and shutdown information
  • Copies running/allowed according to your licence
  • A button to close the window. Note that the instance remains active and client computers can access the program until you use RM Server Shutdown.
  • A button to shutdown the instance on the server, thus preventing access by client computers.
  • When using the shortcut under Programs>StartUp, the window will disappear after 60 seconds unless you click the 'pushpin' button.

Step 6: Check and finalise
Check the operation of the program from a client machine. If your network uses subnets you may find that clients are not able to start the program. See Appendix>License management and your network for a solution. If any clients use personal firewalls then you may need to create a rule to allow UDP and TCP/IP inbound and outbound.


Registration keys and your licence

Installation and setup > Registration keys and your licence

Registration keys and your Licence

Server access: An alphanumeric Registration Key is used to control the number of concurrent users allowed to access RulesMaster Pro 4 LAN Server. Client computers are blocked from access until a valid key is installed.

It is usually necessary to install a key within 14 or 30 days of the date of issue by Ross Learning Media. This is a security measure for both Ross Learning Media and you, as it ensures that stolen keys have limited value. If a server is to be replaced or overhauled such that it will be necessary to re-enter the key, please contact us in advance for an issue of a new key. Contact support@rulesmaster.com and we will usually respond within 24 hours.

Before entering your Registration Key, please ensure that the system clock is correct. Then you can enter or update your key on your server by choosing Start>Programs>....>RM Enter Server Key. A dialogue appears where you will be required to enter the name of the licensee, and the key itself. This information is supplied at the time of purchase, usually via email.


System administration

Help Topics > System administration

System administration

It's necessary to configure RulesMaster Pro 4 LAN Server in order to:

  • configure the rmp4_lan.ini file and the records location
  • provide shortcuts on client computers so that users can easily run the program
  • archive or replace student records.

These tasks may be performed by manually editing .ini files and/or by using the RulesMaster LAN Server Setup Utility provided free with the installation.

Contents
Configure rmp4_lan.ini and the records location


Configure rmp4_lan.ini and the records location

RulesMaster & Student Records
RulesMaster Pro 4 LAN Server creates and maintains records for all students as they use the program. Record files are stored in a folder named 'RulesMaster\Pro4_LAN\Records'. It's important that you establish the location for this folder so that the program knows where to read and write records. Note that a student attempting to log on to RulesMaster Pro 4 LAN Server will receive an error message if the location is not set.

The default location is in the root of the hard drive on your server. The installer creates empty directories in this location. However you can choose any location on your network. In any case you must ensure that the location you select has appropriate permissions to allow read and write access for all network users that you want to have access to the program.

A file named rmp4_lan.ini stores the location of the Records folder and other program options. It's installed in the same folder as the RulesMaster Pro 4 LAN Server program. It can be set in the following ways:

Manually editing the rmp4_lan.ini file which is located in the RulesMaster program folder (usually \Program Files\RulesMaster\Pro4_LAN\). Use Windows Notepad to open the file rmp4_lan.ini. If a records location has already been set you will see a section named [Records]. It might look like this:

[Records]
RecordsFolder=\\MyServer\\RulesMaster\Pro4_LAN\Records\

reflecting that the records folder location is "\\MyServer\\RulesMaster\Pro4_LAN\Records\".
If the [Records] section does not exist you have to create it. Use the example above as a guide. Note that you must use a UNC network path so that remote clients can see where to record and retrieve records.

If you set a location other than the default then you must also create empty folders RulesMaster\Pro4_LAN\Records\ consistent with that location, i.e. if you set a location \\myother computer\\myotherfolder\RulesMaster\Pro4_LAN\Records\ then you must ensure that you create all those folders and that they have the appropriate permission for read and write access.

Using the RulesMaster Setup Utility
From a client computer use Windows explorer to find the program 'RMP4_LAN Setup Utility.exe' on your network server. Run the program, select 'Set Records Location' from the opening menu, and follow the on-screen instructions. Note that the utility requires read/write permission to the RulesMaster Pro 4 LAN Server program directory.

Note that you must run the utility program from a client computer, not the Server. (Full network path names are required and these are not available when the Administrator is run from the server.)

In most cases you will find that the option 'Select default location' will be satisfactory. This sets the Records location to be on the network server, in the root of the primary hard drive. However you can choose any location on your network. Don't forget to ensure that the location you select has appropriate permissions to allow all client computers read and write access.

Other INI file options
If your clients are on a different subnetwork than that of the server it will be necessary to make an entry in rmp4_lan.ini to ensure that clients know the TCP/IP address of the server. See Appendix>License management and your network for details.

Other ini file settings are set out in Appendix>Program Setup Options.


Creating a shortcut on a client

System administration > Creating a shortcut on a client

Creating a shortcut on a client

You will probably want to create a shortcut on client computers so that students can easily access the program. This can be done manually, or in some cases using the RulesMaster Administrator.

Manually creating a shortcut
Choose the file, 'rmp4LAN.exe' in the RulesMaster Pro 4 LAN Server program folder, right click and select 'Create Shortcut' from the pop-up menu. Then copy or drag this shortcut to a desired location on your client computer.

Check and if necessary edit the shortcut properties.
Target: "\\servername\drive name\RulesMaster Pro program folder path\rmp4LAN.exe"
Start in: "\\servername\drive name\RulesMaster Pro program folder path\"
Run: Normal Window

Use the executable file (rmp4LAN.exe) as the source of the icon resource.

Creating a Shortcut using the RulesMaster LAN Server Setup Utility
From a client computer use Windows explorer to find the program 'RMP4_LAN Setup Utility.exe' on your network server. Run the program and select 'Create Client Shortcut'. Then follow the on-screen instructions.

This command displays the shortcut Target and Start folder and then offers a dialogue where you can set a location for the shortcut to be installed.

Note that this command is disabled if you run the Setup Utility directly from your server, as opposed to a client computer. (Full network path names are required for this command and these are not available when the program is run from the server.)


Records maintenance

System administration > Records maintenance

Records maintenance

RulesMaster Pro creates and updates various record files for each student who has logged on to the system. These files are stored in the Records folder associated with your system. The default location is in \RulesMaster\Pro4_LAN\Records.

Record Storage
A folder is maintained for each student, with a number of files in each folder. In addition, a directory file which stores the name and folder name for each student is kept in the Records folder root. See Appendix>Text Records File Structure to learn about the file structure and how records are created and updated by RulesMaster Pro 4 LAN Server.

As the number of student records grows it may become desirable to clean up the student record files.

As a minimum we recommend archiving your Records Folder on an annual basis, or at the expiry of an academic year or semester. You can delete or archive the entire contents of the Records folder at any time. When a student next logs on, the program will create a new Records folder as with a new installation. The student records contained within the archived or deleted folder will no longer be available to the program.

Suggested archive

You can create archive folders within the RulesMaster records folder. Just create new folders adjacent to the Records folder Pro4_LAN folder, with names like 'Archives 2007', 'Archives 2008' etc. (Don't use a name like records.)

Then just copy the entire folder named Records and paste it inside your archive folder.


Appendix

Help Topics > RulesMaster Pro 4 LAN Server Records File Structure

Appendix

Contents

Text records file structure


Text Records File Structure

Appendix > Text Records File Structure

Text Records File Structure

RulesMaster Pro 4 LAN Server is usually configured to store records as text files. See Installation and setup to learn about program installation and setup.

When set up for text storage, records files in RulesMaster Pro are all text files, and except for the file rmp4_lan.ini are contained within the Records folder. Except for .ini files, all have fields delimited with Tabs, and Return delimits each line. Thus these files may be easily copied into spreadsheets or database tables.

When a student first starts the program the location of the records folder is read from the rmp4_lan.ini file. This file is located in the RulesMaster Pro 4 LAN Server program folder (usually Program Files\RulesMaster\Pro4_LAN\). An error message is shown if the file cannot be read, and the program quits. The records location must be set before a user can access the program.

When a student attempts to log on for the first time a new folder is created in the Records folder. Student folders are numbered sequentially down from '9999999'. A text file named userloc.dat in the Records folder, used to record student names and their respective student folders, is created or updated. A text file named user.dat is created in the student folder, and this contains the student's password.

When a student logs on for the second time and subsequent times, the program reads the userloc.dat file and determines the student folder. It then reads the user.dat file inside the student folder and determines the student's password.

When a student completes a quiz associated with one of the lessons, records of quiz performance are created or updated inside the student folder, in the file named records.dat.

During lessons, the student's location within the lesson is recorded when necessary in the file named sessions.dat which is located in the student folder.

A typical records folder might look like this when viewed using Windows explorer:

Folders for each student, numbered in inverse sequential order from 9999999. Each student folder contains files such as:

  • user.dat (password information),
  • sessions.dat (ID of the last lesson page visited by the student),
  • records.dat (data containing the records of the student's quizzes),
  • plus files containing setup wizard settings for FlashCards and QuickQuiz,
  • and StudentPrefs.ini which contains preferences for region, screen settings, tooltips etc.

userloc.dat (contains a directory of student names and the names of their folders)

You can delete or archive records at any time. When a student next logs on the program will build a new Records folder as with a new installation. The student records contained within the archived or deleted folder will no longer be available to the program.


Program Setup Options

Appendix > Program Setup Options

Program Setup Options

Several features of RulesMaster Pro 4 LAN Server are controlled in the file rmp4_lan.ini, located in the program folder. If necessary these are set at installation. If you are not familiar with INI files the information here might be helpful...

An entry in a Windows ini file has the following format:
[Section]
Keyname1=string1
Keyname2=string2
Keyname3=string3

A program call to read the INI file will return the string after the equals sign. Note that the Section name must include the square brackets around the name. The Keyname should not include the equal sign.

Each of the sections in rmp4_lan.ini is described under one of the following:

[Records]
[LoginSettings]
[Screen Resolution]
[Region]

[Records]
The setting in this section controls where the program looks for records. Note that a student attempting to log on to RulesMaster Pro 4 LAN Server will receive an error message if the location is not set, or if it is not set properly. See System administration>Setting the Records location for instructions.

The Records section might look like this:

[Records]
RecordsFolder=\\MyBeautifulServer\RulesMaster\Pro4_LAN\Records\

Back to top

[LoginSettings]
The LoginSettings section controls various aspects of record storage. Some are interdependent. Most are case sensitive. The default settings indicated below apply to standard installations. Unless otherwise specified, your ini file should contain all keys listed below.

  • StorageType=Controls the type of storage. Default is TEXT.
  • MediaType=Sets transmission media. Must be LAN.
  • MaxNoStudents=Number. If set to other than 0, only that number of student records are allowed before an error message is generated. For example, if you set this to 100, the 101st new student to log on will receive an error message. This might be useful if you want a reminder to clean up or archive student records. Default is 0 (i.e. any number of students records may be stored).
  • Permissions=Binary. Set to 1 to allow students to control screen resolution settings in the program. Default is 1.

Special purpose settings

  • LoginType= If set to SELECTION students select their name from a list to log in (after their first login). Default is SELECTION.
  • PromptPassword= Always set to 1.
  • PasswordAttempts= Number. The number of tries allowed to enter a password before the program restarts. Default is 3.
  • PromptUserID= Binary which controls if the user is prompted to provide an ID number or alphanumeric when logging in. May be 0 or 1. Default is 0. When set the user is prompted to enter User ID at login, and the settings in LoginType are overridden.
  • UserIDFieldLength= Number which controls the length of the User ID field. Set a number between 1 and 20. Default is 20.
  • UserIDName= A string which identifies your moniker for User ID, e.g. Alpha number, Service number, Student Number. Default is User ID.
  • UserIDPreset= Binary. When set to 1 the User ID field is preset to the computer user name. Useful if your students have a User ID which is the same as their user name. Default is 0.
  • PromptGroupID= Binary. When set to 1 the user is prompted to choose a class or group at the first log in. Allows student records to be sorted and filtered according to the class. Default is 0.
  • ODBCAutoRegister= Binary.
  • ODBCDataSource= String.
  • AccessFile= String.
  • ODBCPWD= String.
  • ODBCUID= String.

The LoginSettings section might look like this:

[LoginSettings]
StorageType=TEXT
MediaType=LAN
MaxNoStudents= 0
Permissions=1
LoginType=SELECTION
PromptPassword=1
PasswordAttempts=3
PromptUserID=0
UserIDFieldLength=20
UserIDName=User ID
UserIDPreset=0
PromptGroupID=0
ODBCAutoRegister=1
ODBCDataSource=RMPro4
AccessFile=RMP4.mdb
ODBCPWD=MyPassword
ODBCUID=Admin

Back to top

[Screen Resolution]
This section controls what happens when the user selects the 'maximize' button. The program window is always 1024 by 768 pixels. The maximize button changes the user screen resolution to 1024 by 768 pixels so that it appears full screen. On program exit the resolution is automatically restored to the user setting.

The position of Desktop Icons is stored/restored whenever screen resolution is changed. This feature can be disabled with the DesktopCmd setting. The default is '1'.

An optional key may be used to automatically change screen resolution on every client machine using the program. When invoked, this setting overrides and disables the users' ability to set screen resolution as they log on and use the program. This setting will only be useful in those few special installations where required.

The Screen Resolution section might look like this if you wanted all users to change screen resolution to 1024 by 768 pixels when the program starts. The users screen will always revert to the previous resolution when the program quits (even with a forced quit):

[Screen Resolution]
DesktopCmd=1
Screen=[[0,0,0,0],[1024,768,0,0,0]]

Delete this key if you don't want to change resolution in this way, or change the value to Screen=[[0,0,0,0],[0,0,0,0,0]].

Back to top

[Region]
When a user first logs on to the program he/she is asked to nominate whether they want to see International, Canadian or US Rules. This user preference may also be changed by the user at any time via the program Tools menu.

This optional section of the .ini file is used to automatically preset user Region selection. The user can still change the Region if he or she desires. Default is 0. The Region section might look like this if you wanted to preset the user choice to US:

[Region]
Region=3

Set Region=1 for International, 2 for Canada or 3 for US. Set Region=0 for no preset, or delete the section altogether.

Back to top


About license management and your network

Appendix > About license management and your network

Licence management and your network

The network licensing component of RulesMaster Pro 4 LAN Server is provided by a third party. It uses standard TCP/IP to communicate between client and server.

When the program is launched from a client a UDP (User Datagram Protocol) broadcast is issued. If no response is received from the server then the program will not start.

You can optionally specify the TCP/IP address where the program should look for the server. This is needed only if the program cannot automatically locate the server using UDP broadcasts. This might be the case if your client is on a subnet separate from that of the server.

In this case make an entry in the rmp4_lan.ini file. Put an INI section in it called LICENSE, with a keyname called Server. Then enter the IP address of the server there. So the contents of the final file will look something like this:

[LICENSE]
Server=192.168.0.1

Some information on INI files...
An entry in a Windows INI file has the following format :

[Section]
Keyname=string

A program call to read the INI file will return the string after the equals sign. Note that the Section name must include the square brackets around the name. The Keyname should not include the equal sign.